Zabr< Evaluation > Class Template Reference

no arbtrage sabr interpolation factory and traits More...

`#include <ql/experimental/volatility/zabrinterpolation.hpp>`

## Public Member Functions

Zabr (Time t, Real forward, Real alpha, Real beta, Real nu, Real rho, Real gamma, bool alphaIsFixed, bool betaIsFixed, bool nuIsFixed, bool rhoIsFixed, bool gammaIsFixed, bool vegaWeighted=false, const boost::shared_ptr< EndCriteria > endCriteria=boost::shared_ptr< EndCriteria >(), const boost::shared_ptr< OptimizationMethod > optMethod=boost::shared_ptr< OptimizationMethod >(), const Real errorAccept=0.0020, const bool useMaxError=false, const Size maxGuesses=50)

template<class I1 , class I2 >
Interpolation | interpolate (const I1 &xBegin, const I1 &xEnd, const I2 &yBegin) const

## Static Public Attributes

static const bool | global = true

## Detailed Description

### template<class Evaluation>
class QuantLib::Zabr< Evaluation >

no arbtrage sabr interpolation factory and traits